Bug 1507394 - [GSS] Not able to create snapshot
Summary: [GSS] Not able to create snapshot
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: snapshot
Version: rhgs-3.2
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: RHGS 3.4.0
Assignee: Sunny Kumar
QA Contact: Vinayak Papnoi
URL:
Whiteboard:
Depends On:
Blocks: 1503135 1512450 1512451
TreeView+ depends on / blocked
 
Reported: 2017-10-30 06:37 UTC by Prerna Sony
Modified: 2018-09-04 06:39 UTC (History)
7 users (show)

Fixed In Version: glusterfs-3.12.2-2
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1512450 1512451 (view as bug list)
Environment:
Last Closed: 2018-09-04 06:38:02 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:39:45 UTC

Description Prerna Sony 2017-10-30 06:37:58 UTC
Description of problem:

The snapshot creation failing after brick reset was done. The reset brick was done due to file system corruption on brick disk. 
'gluster snapshot create' command is failing with below errors
failed to get snap UUID , Failed to create snapshot , Snapshot Commit Failed , Failed to aggregate response from  node/brick

Version-Release number of selected component (if applicable):
glusterfs-server-3.8.4-18.4.el7rhgs.x86_64 
glusterfs-fuse-3.8.4-18.4.el7rhgs.x86_64


How reproducible:
In Customer Environment


Actual results:
Not able to create snapshot


Expected results:
Able to create snapshot


Additional Info : In further comments

Comment 10 Sunil Kumar Acharya 2017-11-15 04:43:29 UTC
Upstream Patch: https://review.gluster.org/18730

Comment 13 Mohammed Rafi KC 2017-12-26 08:44:20 UTC
another patch is required to completely fix the issue. patch sets are tracked here https://review.gluster.org/#/c/19049

Comment 15 Vinayak Papnoi 2018-03-13 13:40:21 UTC
Build : glusterfs-3.12.2-5.el7rhgs.x86_64

Tried the steps to reproduce. 

After a brick reset done on a volume , snapshot creation works as expected.

Hence, moving bug to VERIFIED.

Comment 17 errata-xmlrpc 2018-09-04 06:38:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.